apicloud apicloud

注册
查看: 101|回复: 4

[模块开发] 微信支付升级相关

主题:
3
帖子:
15
云币:
18

[模块开发] 微信支付升级相关

101 4 | 发表于 2021-9-21 21:22:57 |阅读模式 | |
由于iOS13 回收 App 的 bundle ID 的能力,为了保证 App 支付来源的真实性和可认知性,微信支付在已有 Bundle ID 校验能力的基础上,增加了 Universal Links 校验能力。商户 App 发起支付时,若没有正确更新 SDK,会出现无 bundle ID、无 Universal Links 的情况。微信支付无法判定此类订单的交易来源 App,可能会出现实际使用商户号的来源和商户号所属的 App 不一致,存在交易风险。为了保证交易安全,微信支付升级了微信支付 OpenSDK 版本,请您在2022年1月1日之前完成升级,并合理引导用户升级您的App。逾期未完成的,可能导致用户在您的APP内发起微信支付交易时,受到风控措施限制。如果贵司是自行开发的 App 支付功能,请联系贵司的 App 开发人员按以下指引完成升级;如果贵司是委托服务商或其他第三方公司开发的 App 支付功能,请联系服务商或第三方公司协助完成升级。iOS 版本微信 OpenSDK 版本升级指引: https://pay.weixin.qq.com/wiki/doc/apiv3/Practices/chapter4_1_1.shtml



这个问题该怎么修改呢?









主题:
367
帖子:
56635
云币:
23295
发表于 2021-9-21 22:01:28 |
使用最高版本wxPlus;  wxPayPlus 模块即可
【奖金150万】“用友·华为云杯”第三届开发者大赛报名开启,APICloud开发者直接报名参加:点击报名

主题:
3
帖子:
15
云币:
18
 楼主| 发表于 2021-9-22 15:22:39 来自手机 |
使用方法和以前一样吗,还是需要重新配置

版主

UID:828288

主题:
48
帖子:
985
云币:
1184
发表于 2021-9-22 17:20:10 |
噬魂凌天 发表于 2021-9-22 15:22
使用方法和以前一样吗,还是需要重新配置

除了配置文件里面多一个 universalLink 这个参数之外,其他都一样。。


universalLink 配置 ,可以搜索一下论坛

1.苹果证书需要勾选 associated-domains
2.服务器端需要配置文件
内容:
{
    "applinks": {
        "apps": [],
        "details": [
            {
                "appID": "itemId[苹果ID].BundleID[包名]",
                "paths": ["*","/*"]
            }
        ]
    }
}
3.客户端新增 res/UZApp.entitlements
内容:
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
    <key>com.apple.developer.associated-domains</key>
    <array>
        <string>applinks:domain[域名]</string>
    </array>
</dict>
</plist>
【技术支持】QQ:770104707

主题:
3
帖子:
15
云币:
18
 楼主| 发表于 2021-9-22 23:12:03 |
520707liu 发表于 2021-9-22 17:20
除了配置文件里面多一个 universalLink 这个参数之外,其他都一样。。

服务器断和客户端分别指什么啊,我这里只有一个APP
您需要登录后才可以回帖 登录 | 立即注册

快速回复 返回顶部 返回列表